<ActionTemplates>
   <Action>
      <Name>Progress.GetCurrentPos</Name>
      <Description>Gets the current position of the progress within the progress bar.</Description>
      <ReturnValueType>number</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.GetPos</Name>
      <Description>Returns the X and Y page coordinates of a progress object in pixels.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.GetProperties</Name>
      <Description>Returns a table containing the properties of the specified object.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.GetRange</Name>
      <Description>Returns the range of the progress bar in a table.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.GetSize</Name>
      <Description>Returns the pixel dimensions of a progress object.</Description>
      <ReturnValueType>table</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.GetText</Name>
      <Description>Returns the text currently displayed on the progress object.</Description>
      <ReturnValueType>string</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.IsEnabled</Name>
      <Description>Returns true if a specific progress object is enabled, or false if it's disabled.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.IsVisible</Name>
      <Description>Returns true if a specific progress object is visible, and false if it isn't.</Description>
      <ReturnValueType>boolean</ReturnValueType>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetCurrentPos</Name>
      <Description>Sets the position of the progress within the progress bar.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Pos</Name>
            <Description>The position to set.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>50</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetPos</Name>
      <Description>Sets the X and Y pixel coordinates of a progress object relative to the page.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the Progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>X</Name>
            <Description>The new X pixel coordinate (horizontal position) to set for the progress object. This is the X coordinate of the upper left hand corner of the object's bounding box relative to the page.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>0</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Y</Name>
            <Description>The new Y pixel coordinate (vertical position) to set for the progress object. This is the Y coordinate of the upper left hand corner of the object's bounding box relative to the page.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>0</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetSize</Name>
      <Description>Sets the size of a progress object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Width</Name>
            <Description>The new width of the progress object.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>100</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Height</Name>
            <Description>The new height of the progress object.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>100</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetEnabled</Name>
      <Description>Sets the enabled/disabled state of a progress object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Enabled</Name>
            <Description>Whether to make the progress object enabled or disabled.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetProperties</Name>
      <Description>Sets the properties of a progress object on the page.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Properties</Name>
            <Description>A table containing the properties you want to modify in the progress object, indexed by name.</Description>
            <Type>table</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>nil</Default>
               <DataType>table</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetRange</Name>
      <Description>Sets the range of the progress bar.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Begin</Name>
            <Description>The beginning of the range.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>0</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>End</Name>
            <Description>The ending of the range.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>100</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetStep</Name>
      <Description>Sets the step value that will be used when Progress.StepIt() is called.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Step</Name>
            <Description>The step value to use.</Description>
            <Type>number</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>10</Default>
               <DataType>number</DataType>
               <Constraints>0,*</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetText</Name>
      <Description>Sets the text currently displayed on the progress object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Text</Name>
            <Description>The text that will be displayed on the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default>"100%"</Default>
               <DataType>string</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.SetVisible</Name>
      <Description>Sets the visibility of a progress object.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
         <Arg>
            <Name>Visible</Name>
            <Description>Whether to make the progress object visible or invisible.</Description>
            <Type>boolean</Type>
            <Default>true</Default>
            <Required>0</Required>
            <EasyMode>
               <Default>true</Default>
               <DataType>boolean</DataType>
               <Constraints>none</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
   <Action>
      <Name>Progress.StepIt</Name>
      <Description>Increments the current progress by the step amount specified in the Progress.SetStep() action.</Description>
      <ReturnValueType/>
      <Arguments>
         <Arg>
            <Name>ObjectName</Name>
            <Description>The name of the progress object.</Description>
            <Type>string</Type>
            <Default/>
            <Required>1</Required>
            <EasyMode>
               <Default/>
               <DataType>objectname</DataType>
               <Constraints>progress</Constraints>
            </EasyMode>
         </Arg>
      </Arguments>
   </Action>
</ActionTemplates>
